package com.example.morozovexam;

import android.content.Context;
import android.os.Parcel;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.List;

public class adapterView extends BaseAdapter {
    private Context mContext;
    private List<tableGamesModel> list = new ArrayList<>();

    public adapterView(Context mContext, List<tableGamesModel> list) {
        this.mContext = mContext;
        this.list = list;
    }

    @Override
    public int getCount() {
        return list.size();
    }

    @Override
    public Object getItem(int i) {
        return list.get(i);
    }

    @Override
    public long getItemId(int i) {
        return list.get(i).getID();
    }

    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {
        View v = View.inflate(mContext, R.layout.item_layout, null);
        TextView title = v.findViewById(R.id.titleET_il);
        TextView cost = v.findViewById(R.id.costET_il);
        TextView stockA = v.findViewById(R.id.stockAvailabilityET_il);
        TextView storeA = v.findViewById(R.id.storeAvailabilityET_il);
        TextView description = v.findViewById(R.id.descriptionET_il);
        TextView reviews = v.findViewById(R.id.reviewET_il);
        tableGamesModel games = list.get(i);
        cost.setText(String.valueOf(games.getCost()));
        stockA.setText(String.valueOf(games.getStockAvailability()));
        storeA.setText(String.valueOf(games.getAvailabilityInTheStore()));
        description.setText(games.getDescription());
        reviews.setText(games.getRewiews());
        return v;
    }


}
